EDIT - feature request #6722

Make Life-form available via DerivedUnitFacade
06/12/2017 04:50 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

... but probably as an optional element (preferences) as it is relevant only for e.g. algae.

Related issues:
Related to EDIT - feature request #6721: Show kindOfUnit, Sex and Lifestage a... Closed
Related to EDIT - feature request #6723: Make available derived unit facade e... New

Associated revisions

Revision 8adb7643 - 06/13/2017 11:51 AM - Andreas Miiller

ref #6722 implement life-form in derived unit facade

Revision df5e3464 - 08/29/2017 02:15 PM - Katja Luther

ref #6722: life form is available in fieldunit details

Revision e98bd118 - 09/04/2017 12:36 PM - Katja Luther

ref #6722: add preference for show life form in field unit details view

History

#1 - 06/12/2017 04:50 PM - Andreas Miiller
- Related to feature request #6721: Show kindOfUnit, Sex and Lifestage also for DerivedUnits in DUFacade added

#2 - 06/12/2017 04:50 PM - Andreas Miuller

- Tracker changed from bug to feature request

#3 - 06/12/2017 04:53 PM - Andreas Miuller

- Related to feature request #6723: Make available derived unit facade elements configurable in DerivedUnitFacade details view added

#4 - 06/13/2017 11:34 AM - Andreas Miiller
- Description updated
- Category changed from cdmlib to taxeditor

- Assignee changed from Andreas Miiller to Katja Luther

implemented in facade

#5 - 06/13/2017 11:35 AM - Andreas Miiller

Hi Henning, is it correct that life-form is only needed for field units, not preserved specimen? Just like ecology and plant description?

#6 - 06/14/2017 01:23 PM - Wolf-Henning Kusber

Life-form is only needed for field units, this is correct.

#7 - 06/14/2017 01:26 PM - Andreas Miiller

WHK (personal communication): the main use-case is to distinguish benthos and plankton samples. Therefore having it only for the field unit should
be enough for now.

#8 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#9 - 09/04/2017 12:39 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

life form is now available in editor.
the preference is located in serverside preferences -> specimen and observations

please review

#10 - 09/14/2017 04:18 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 100

Seems to work though difficult to test due to problems with current save behavior of specimen editors (
https://dev.e-taxonomy.eu/redmine/issues/6597 ?issue_count=25&issue_position=25&prev_issue_id=6828#note-16)
